
# Automated HEVC-Video-Converter 1.0

A PowerShell script to convert videos to the HEVC video format utilizing GPU hardware acceleration using NVEnc for Windows.

The main benefit being that you can save disk space significantly (most of the time).

![image](/attachments/985e0fa6-ec4a-4ad0-a1c7-d70f59e7a23d)

## Space Saving Examples

- 2.5GB MP4 to 500MB HEVC MP4
- 3GB MP4 to 800MB HEVC MP4

_Results vary and depend on the input video's format, bitrate etc._

## Minimum System Requirements

- PC with at least 2 cores
- Recent Nvidia graphics card
- Enough free disk space for resulting video files


## Encoding

During encoding (conversion) it is normal for high **CPU** and **GPU** usage. Be sure to only run the script when the PC has no other processes hogging up resources.

The script encodes the files alongside the original with '-HEVC' at the end or inplace x265 replacement of the string in the filename.
After the conversion, a test is performed on the new video file to ensure its integrity.
If this test is successful, the old file will be deleted. 
If not, the failed conversion-file is deleted and registered.


## Script Usage

1. Clone this Repository to your computer
2. Download latest NVEnc for Windows: https://github.com/rigaya/NVEnc/releases
3. Extract the files to "video-in-place-hevc-converter\encoder\" and replace the old ones
4. Edit the $videoPath variable in the PowerShell file to point to your video-files folder
5. Run **convert_Videos.ps1** to convert all video Files on the provided path to HEVC.
